<?php

/**
 * @file
 *  CTools plugins declarations.
 */

/**
 * Break out for social_groups_social_groups_plugins().
 */
function _social_groups_social_groups_plugins() {
  $path = drupal_get_path('module', 'social_groups') . '/includes/plugins';
  $info = array();
  
  $info['SocialGroupPlugin'] = array(
    'handler' => array(
      'class' => 'SocialGroupPlugin',
      'file' => 'SocialGroupPlugin.inc',
      'path' => $path,
    ),
  );
  
  $info['SocialGroupPluginJSON'] = array(
    'handler' => array(
      'class' => 'SocialGroupPluginJSON',
      'file' => 'SocialGroupPluginJSON.inc',
      'path' => $path,
    ),
  );
  
  $info['SocialGroupPluginXML'] = array(
    'handler' => array(
      'class' => 'SocialGroupPluginXML',
      'file' => 'SocialGroupPluginXML.inc',
      'path' => $path,
    ),
  );
  
  $info['SocialGroupPluginFacebook'] = array(
    'handler' => array(
      'class' => 'SocialGroupPluginFacebook',
      'file' => 'SocialGroupPluginFacebook.inc',
      'path' => $path,
    ),
    'group' => array(
      'name' => 'facebook',
      'title' => t('Facebook Group'),
      'description' => t("Facebook group id or name. Leave blank if you don't want to use this group."),
      'url' => 'https://graph.facebook.com/',
      'group_url' => 'https://facebook.com/',
    ),
  );
  
  $info['SocialGroupPluginTwitter'] = array(
    'handler' => array(
      'class' => 'SocialGroupPluginTwitter',
      'file' => 'SocialGroupPluginTwitter.inc',
      'path' => $path,
    ),
    'group' => array(
      'name' => 'twitter',
      'title' => t('Twitter Group'),
      'description' => t("Twitter name. Leave blank if you don't want to use this group."),
      'url' => 'https://api.twitter.com/1/users/show.json?screen_name=',
      'group_url' => 'https://twitter.com/',
    ),
  );
  
  $info['SocialGroupPluginYoutube'] = array(
    'handler' => array(
      'class' => 'SocialGroupPluginYoutube',
      'file' => 'SocialGroupPluginYoutube.inc',
      'path' => $path,
    ),
    'group' => array(
      'name' => 'youtube',
      'title' => t("Youtube Group. Leave blank if you don't want to use this group."),
      'description' => t('Youtube name'),
      'url' => 'http://gdata.youtube.com/feeds/api/users/',
      'group_url' => 'http://youtube.com/',
    ),
  );
  
  return $info;
}